
Redmine - Defect #34125

500 error after migration to Redmine 4.1.1

2020-10-16 19:32 - Andrzej Karwowski

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

After upgrading from Redmine 3.4 to v 4.1.1 I have 500 error during the time entry update.

Started GET "/time_entries/new" for ................. at 2020-10-16 11:22:40 +0200

Processing by TimelogController#new as HTML

Current user: .......... (id=5)

Completed 500 Internal Server Error in 18ms (ActiveRecord: 13.2ms)

ActiveModel::MissingAttributeError (can't write unknown attribute `author_id`):

app/models/time_entry.rb:98:in `initialize'

app/controllers/timelog_controller.rb:95:in `new'

lib/redmine/sudo_mode.rb:65:in `sudo_mode'

Environment:

Redmine version                4.1.1.stable.20036

Ruby version                   2.6.0-p0 (2018-12-25) [x86_64-linux]

Rails version                  5.2.4.2

Environment                    production

Database adapter               SQLServer

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Subversion                     1.7.14

Git                            1.8.3.1

Filesystem

Redmine plugins:

no plugin installed

History

#1 - 2020-10-16 21:36 - Pavel Rosický

please run migrations rake db:migrate RAILS_ENV=production and restart the server according to the 

https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade guide

#2 - 2020-10-17 04:17 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

#3 - 2020-10-17 05:08 - Kenneth Troxell

Pavel Rosický wrote:

please run migrations rake db:migrate RAILS_ENV=production and restart the server according to the 

https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade guide
